XReparentWindow(3)

NAME
XReparentWindow - reparent windows

SYNTAX

int XReparentWindow(Display *display, Window w, Window parent, int x, int y);

ARGUMENTS

display
    Specifies the connection to the X server.

parent
    Specifies the parent window.

w   Specifies the window.

x

y   Specify the x and y coordinatesof the position in the new parent window.

DESCRIPTION
If the specified window is mapped, automatically performs an request on it, removes it from its current position in the hierarchy, and inserts it as the child of the specified parent. The window is placed in the stacking order on top with respect to sibling windows.

After reparenting the specified window, causes the X server to generate a event. The override_redirect member returned in this event is set to the window's corresponding attribute. Window manager clients usually should ignore this window if this member is set to Finally, if the specified window was originally mapped, the X server automatically performs a request on it.

The X server performs normal exposure processing on formerly obscured windows. The X server might not generate events for regions from the initial request that are immediately obscured by the final request. A error results if:

•   The new parent window is not on the same screen as the old parent window.

•   The new parent window is the specified window or an inferior of the specified window.

•   The new parent is and the window is not.

•   The specified window has a background, and the new parent window is not the same depth as the specified window.

can generate and errors.

DIAGNOSTICS

A value for a Window argument does not name a defined Window.

SEE ALSO
XChangeSaveSet(3X11)
Xlib - C Language X Interface